IN.XFINGERD(8C)

NAME
in.xfingerd - Finger to LDAP/X.500 gateway daemon

SYNOPSIS
LIBEXECDIR/in.xfingerd [-f filterfile] [-i] [-l] [-t templatefile] [-c rdncount] [-x hostname] [-b searchbase] [-p port]

DESCRIPTION
in.xfingerd is the LDAP/X.500 finger daemon. It runs from inetd(8) and translates finger queries into LDAP queries or X.500 queries via LDAP. It also understands UFN-style names, so fingering something like "tim howes,umich,us@hostname" will do a UFN search.

To arrange to have in.xfingerd started from inetd add a line like this to your /etc/inetd.conf(5) file, or the equivalent:

    finger stream tcp nowait nobody LIBEXECDIR/in.xfingerd in.xfingerd

For these changes to take effect with inetd, you will probably have to send it it a HUP signal. See inetd(8) for more details.

OPTIONS

-f filterfile
    Specify an alternate filter configuration file for use with the ldap_getfilter(3) facility, used by in.xfingerd.

-i  Run in interactive mode. With this flag in.xfingerd can be run from a terminal in "one shot" mode, reading the finger request from standard input. This is useful for debugging.

-l  Disable logging of various status and errors to the LOG_LOCAL4 facility via syslog(8). Note that this flag turns OFF logging. The default is on.

-t templatefile
    Specify an alternate template configuration file for use with the ldap_init_templates(3) facility, used by BR in.xfingerd .

-c rdncount
    Specify the number of DN components to show for the names and DN attributes within entries matching the search.

-x hostname
    Specify an alternate host on which the ldap server is running.

-p port
    Specify an alternate port on which the ldap server is listening.

-b searchbase
    Specify an alternate search base for queries.

NOTES
The default values for most of the things you can specify with options are configured at compile time in the include/ldapconfig.h.edit include file. Also included there are various messages displayed by the finger daemon when finding no matches, encountering errors, etc. You should configure ldapconfig.h.edit for your site.

SEE ALSO
finger(1) ldap(3), ldap_getfilter(3), inetd(8),

ACKNOWLEDGEMENTS
OpenLDAP is developed and maintained by The OpenLDAP Project (http://www.openldap.org/). OpenLDAP is derived from University of Michigan LDAP 3.3 Release.